<template lang="pug">
.candidate(@click="onEditCandidate")
	.candidate__avatar {{ avatar }}
	.candidate__details
		.candidate__name {{ candidate.name }} {{ candidate.last_name }}
		.candidate__phone #[i Phone:] {{ candidate.phone }}
		.candidate__address #[i Address:] {{ candidate.address }}
	i.candidate__delete.fas.fa-trash(@click.stop="onDeleteCandidate")
</template>



<script>
import { mapActions } from 'vuex'

export default {
	props: ['candidate'],

	computed: {
		avatar() {
			return this.candidate.name.charAt(0) + this.candidate.last_name.charAt(0)
		}
	},

	methods: {
		...mapActions('root', [
			'$handleCandidate'
		]),

		onEditCandidate() {
			this.$parent.$refs.createCandidate.openModal(this.candidate)
		},

		onDeleteCandidate() {
			this.$bus.$emit('deleteCandidate', () => {
				this.$handleCandidate({
					url: '/candidate',
					method: 'delete',
					form: {
						params: {
							_id: this.candidate._id
						}
					}
				})
			})
		}
	}
}
</script>



<style lang="scss" scoped>
.candidate {
	$this: &;
	display: flex;
	padding-right: 25px;
	cursor: pointer;

	&:not(:last-of-type) {
		margin-bottom: 30px;
	}

	&__avatar {
		@include avatar;
	}

	&__name {
		font-size: 1.4rem;
		margin-bottom: 3px;
	}

	&__phone,
	&__address {
		font-size: 1.2rem;
		line-height: 1.6;
		color: $gray;

		i {
			color: $light_gray;
			text-align: center;
		}
	}

	&__delete {
		margin-left: auto;
		align-self: center;
		cursor: pointer;
		font-size: 1.1rem;
		color: $light_gray;

		&:hover {
			color: $light_dark
		}
	}
}
</style>
